Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.TypeChecking.Rules.Builtin.Coinduction

Description

Handling of the INFINITY, SHARP and FLAT builtins.

Synopsis

- typeOfInf :: TCM Type
- typeOfSharp :: TCM Type
- typeOfFlat :: TCM Type
- bindBuiltinInf :: Expr -> TCM ()
- bindBuiltinSharp :: Expr -> TCM ()
- bindBuiltinFlat :: Expr -> TCM ()

# Documentation

typeOfInf :: TCM Type #

The type of `∞`.

typeOfSharp :: TCM Type #

The type of `♯_`.

typeOfFlat :: TCM Type #

The type of `♭`.

bindBuiltinInf :: Expr -> TCM () #

Binds the INFINITY builtin, but does not change the type's definition.

bindBuiltinSharp :: Expr -> TCM () #

Binds the SHARP builtin, and changes the definitions of INFINITY and SHARP.

bindBuiltinFlat :: Expr -> TCM () #

Binds the FLAT builtin, and changes its definition.